This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 243515 - Windows' Title Lines Disappear Suddenly When Using compiz
Windows' Title Lines Disappear Suddenly When Using compiz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 06:39 EDT by Oded Rimon
Modified: 2009-07-14 14:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (59.34 KB, text/plain)
2008-02-29 08:09 EST, Oded Rimon
no flags Details

  None (edit)
Description Oded Rimon 2007-06-09 06:39:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):
compiz-0.3.6-8.fc7

How reproducible:
Sometimes (about 3 of every 5 boots)

Steps to Reproduce:
1. Enable "Desktop Effects" (in Fedora7: 'System->Preferences->Look and
Feel->Desktop Effects').
2. Use computer for a while (say, a week). I think you ought to boot it at-least
once, but I'm not sure.
  
Actual results:
During use (as far as I have noticed: without ANY visible "trigger") the window
titles suddenly disappear (just like that!), and you have windows without titles..!

Expected results:
Everything should work fine...

Additional info:
1. This also happened in FC6 with an earlier compiz version (without the
"Appearance" options - Opacity and so-on) - so it's not this that's causing this
strange problem.
2. When you get this, if you disable compiz (again, 'System->Preferences->Look
and Feel->Desktop Effects') the window titles return. Then you can re-enable it
and it'll be fine (until next time...).
Comment 1 Bill Peck 2007-06-22 15:39:13 EDT
I'm seeing this as well.   I'll be happy to provide more debug info someone
tells me what they need.

I would describe this as the window manager going away.
Comment 2 Gilles Berger Sabbatel 2007-07-05 10:55:11 EDT
More exactly, the program gtk-window-decorator dies unexpectedly...
Comment 3 Andreas Tunek 2007-07-19 15:27:01 EDT
I also see this on my two F7 computers, one with the proprietary nVidea driver
and one with the Free ATI driver. If it is any help to anyone....
Comment 4 Matěj Cepl 2007-11-19 19:42:23 EST
Could anybody who sees this bug with updated F7/F8/Rawhide while using open
source drivers, attach to this bug uncompressed separate /var/log/Xorg.0.log and
/etc/X11/xorg.conf, please?
Comment 5 Matěj Cepl 2008-01-17 09:00:03 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Matěj Cepl 2008-01-23 17:12:18 EST
Actually, this has really nothing to do with ATI driver. Kristian, this happens
to me all the time with Intel GM965 and intel driver on F8. Do you need Xorg.0.log?
Comment 7 Oded Rimon 2008-02-29 08:09:04 EST
Created attachment 296332 [details]
/var/log/Xorg.0.log

Here is Xorg.0.log.
I'm sorry it took me so long, I'm at home only on weekends...
Comment 8 Bug Zapper 2008-05-14 08:57:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bill Peck 2008-05-14 09:21:16 EDT
This *still* happens with Fedora 9.

Logging in with compiz on will sometimes not provide a window manager. 
Switching desktop effacts off and back on will fix the issue.
Comment 10 Rolf Fokkens 2008-06-23 08:07:04 EDT
For me removing the ~/.gconf directory solved the problem. There may be some old
data in there that causes the problem.
Comment 11 Bug Zapper 2009-06-09 18:38:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 14:06:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.